<!DOCTYPE html>

<?php 
	session_start();
	@ob_start();
	include "../../config/koneksi.php";
	include "../../config/fungsi_rupiah.php";
	include "../../config/fungsi_indotgl.php";
	include "../head.php";

	
	if ($_SESSION['nama'] == ''){
		header('Location:index.php');
	}
	else{
?>
<html>

  <body class="hold-transition skin-blue sidebar-mini layout-boxed">
    <div class="wrapper">
		<?php include "../header.php";?>
      
		<?php include "../menu.php";?>
      

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            WAREHOUSE
            <small>Pemasukan Barang</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Warehouse</a></li>
            <li class="active"><a href="data.php"><u>Pemasukan Barang</u></a></li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12">
              
              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">List Pembelian</h3><br><br>
				  
                </div><!-- /.box-header -->
                <div class="box-body">
                  <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
						<th>St</th>
                        <th>No Ord</th>
                        <th>Date / Supplier</th>
                        <th>Status</th>
                      </tr>
                    </thead>
                    <tbody>
					<?php
						$user = $_SESSION['nama'];
						$cek = mysql_query("Select * from beli  order by billno desc");
						while ($r=mysql_fetch_array($cek)){	
							$ord = $r['billno'];
							$tgl = tgl_ind($r['billdate']);

							$noord = str_pad($ord, 4, "0", STR_PAD_LEFT);

							$supp = mysql_result(mysql_query("select nama from supplier where id = $r[cust]"),0);
							
							$totproduk = mysql_result(mysql_query("select sum(qty) from belidetail where billno = $r[billno]"),0);
							$masuk = mysql_result(mysql_query("select sum(qty) from belimasuk where id_detail in (select id from belidetail where billno =$r[billno])"),0);
							
							$totproduk2 = format_rupiah($totproduk);
							$masuk2 = format_rupiah($masuk);
							
							if($r['status'] == 'D'){
								$warna = "class='label label-danger'";
							}else{
								$warna = "class='label label-success'";
							}
							
							if($r['status'] == 'V'){
								$valid = "<span class='fa fa-thumbs-o-up'></span>";
							}else{
								$valid = "";
							}
							
							if($masuk >= $totproduk){
								$status = "<h4><i class='fa  fa-check text-success'></i></h4> Selesai";		
							}else{
								$status = "<h4><i class='fa  fa-close text-danger'></i></h4> Belum";
							}
							echo "<tr>
									<td>$status</td>
									<td><a href='viewbeli.php?id=$ord'><span $warna><span class='fa fa-eye'> </span></span>&nbsp;&nbsp;$noord  <br>$r[web] </a><br>$valid</td>
									<td>$tgl<br>  $supp</td>
									<td> $masuk2 / $totproduk2</td>
									
								  </tr>";
						}
					?>
                        
                     
                    </tbody>

                  </table>
                </div><!-- /.box-body -->
              </div><!-- /.box -->
            </div><!-- /.col -->
          </div><!-- /.row -->
        </section><!-- /.content -->
		
		<!-- Modal form-->
                <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                  <div class="modal-dialog ">
                    <div class="modal-content">
                      <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title" id="myModalLabel"></h4>
                      </div>
                      <div class="modal-body" id="modal-bodyku">
                      </div>
                      <div class="modal-footer" id="modal-footerq">
                      </div>
                    </div>
                  </div>
                </div>
                <!-- end of modal ------------------------------>
		
		
      </div><!-- /.content-wrapper -->
		<?php include "../footer.php";?>
		

      <!-- Control Sidebar -->
      <aside class="control-sidebar control-sidebar-dark">

        <!-- Tab panes -->
        <div class="tab-content">
          <!-- Home tab content -->
          <div class="tab-pane" id="control-sidebar-home-tab">

          </div><!-- /.tab-pane -->

        </div>
      </aside><!-- /.control-sidebar -->
      <!-- Add the sidebar's background. This div must be placed
           immediately after the control sidebar -->
      <div class="control-sidebar-bg"></div>
    </div><!-- ./wrapper -->
	
	<script language="javascript">
	 function open_container(id)
	 {
	 var size='standart';
	 var content = '<form role="form" method=POST action="aksisales.php?module=sales&act=validasi&id='+id+'" ><div class="form-group"><label for="exampleInputFile">Yakin Validasi Nota '+id+'</label></div><button type="submit" class="btn btn-default">Submit</button></form>';
	 var title = 'Validasi';
	 var footer = '<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>';
	 setModalBox(title,content,footer,size);
	 $('#myModal').modal('show');
	 }
	 function setModalBox(title,content,footer,$size)
	 {
	 document.getElementById('modal-bodyku').innerHTML=content;
	 document.getElementById('myModalLabel').innerHTML=title;
	 document.getElementById('modal-footerq').innerHTML=footer;
	 if($size == 'large')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-lg')
		  .attr('aria-labelledby','myLargeModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-lg');
	 }
	 if($size == 'standart')
	 {
	 $('#myModal').attr('class', 'modal fade')
		  .attr('aria-labelledby','myModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog');
	 }
	 if($size == 'small')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-sm')
		  .attr('aria-labelledby','mySmallModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-sm');
	 }
	 }
 </script>

    <!-- jQuery 2.1.4 -->
    <script src="../../plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="../../bootstrap/js/bootstrap.min.js"></script>
    <!-- DataTables -->
    <script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../../plugins/datatables/dataTables.bootstrap.min.js"></script>
    <!-- SlimScroll -->
    <script src="../../plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="../../plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="../../dist/js/app.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="../../dist/js/demo.js"></script>
    <!-- page script -->
    <script>
      $(function () {
        $("#example2").DataTable();
        $('#example1').DataTable({
          "paging": true,
          "lengthChange": true,
          "searching": true,
          "ordering": true,
		  "order": [[ 0, "desc" ]],
          "info": true,
          "autoWidth": false
        });
      });
    </script>
	
  </body>
</html>
<?php 
	}
?>